unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    Splitter1: TSplitter;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
    Shlobj, HtmlUnit;

procedure TForm1.Button1Click(Sender: TObject);
begin
    Memo2.Clear();
    SqlToHtml.Convert(Memo1.Lines, Memo2.Lines);

    //  eXgpɓK
    Memo2.Lines.Insert(0, '<html lang="ja"><head><style TYPE="text/css"><!--');
    Memo2.Lines.Insert(1, 'pre.code{font-family:monospace;}');
    Memo2.Lines.Insert(2, '.comment{color:#339933;}');
    Memo2.Lines.Insert(3, '.string{color:#993333;}');
    Memo2.Lines.Insert(4, '.reserved{color:#0000ff;font-weight:bold;}');
    Memo2.Lines.Insert(5, '--></style></head><body>');

    Memo2.Lines.Append('</body></html>');
end;

//  fXNgbvɕۑ
procedure TForm1.Button2Click(Sender: TObject);
var
    pidl: PItemIDList;
    Path: array[0..MAX_PATH] of char;
    FileName: string;
begin
    //  fXNgbṽpX
    SHGetSpecialFolderLocation(Handle, CSIDL_DESKTOP, pidl);
    SHGetPathFromIDList(pidl, Path);
    //  dɂȂt@C
    FileName := ExtractFileName(ChangeFileExt(ParamStr(0), IntToStr(GetTickCOunt) + '.html'));
    //  ۑ
    Memo2.Lines.SaveToFile(string(Path) + '\' + FileName);
end;

end.

